package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF648Data {

    private Map<String, Object> params;
    
    public MWF648Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsIdBusiness() {
        return (String) params.get("RS_ID_BUSINESS");
    }

    public String rsActualDebtFlag() {
        return (String) params.get("RS_ACTUAL_DEBT_FLAG");
    }

    public String rsHistDebtFlag() {
        return (String) params.get("RS_HIST_DEBT_FLAG");
    }

    public String rsCustType() {
        return (String) params.get("RS_CUST_TYPE");
    }

    public String rsCustSubtype() {
        return (String) params.get("RS_CUST_SUBTYPE");
    }

    public String rsDueCntrBusinessId() {
        return (String) params.get("RS_DUE_CNTR_BUSINESS_ID");
    }

    public String rsDueCntrProdType() {
        return (String) params.get("RS_DUE_CNTR_PROD_TYPE");
    }

    public String rsDueCntrAccId() {
        return (String) params.get("RS_DUE_CNTR_ACC_ID");
    } 

}
